Skip to content

Create a KYC Review

Request

Creates a KYC Review for a specific customer action.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
typestringrequired

Type of the underlying action or process this KYC Review is for. Usually a reference to which product this KYC Review is for (like QUOTE or TRANSFER) or a reference to a KYC process on the profile that isn't related to a specific product (like REFRESH_CYCLE or REPAPERING).

Following types are available when creating a KYC Review using this endpoint:

  • QUOTE
  • PROACTIVE_SEND_MONEY
  • CARD
Enum:"QUOTE""PROACTIVE_SEND_MONEY""CARD"
Example:"QUOTE"
triggerDataobject

Object containing data of the underlying product object that triggered the KYC Review.

curl -i -X POST \
  'https://api.wise.com/v1/profiles/{profileId}/kyc-reviews' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "type": "QUOTE",
    "triggerData": {
      "id": "ba83a43a-f623-46f0-956d-196c13e2ab01"
    }
  }'

Responses

KYC Review successfully created.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring, (uuid)

Unique identifier for a KYC Review resource, generated by Wise.

Example:"46e1a5c4-4a9b-4563-39d3-18174d3ac0f8"
statusstring

Aggregated state of the underlying requirement set. Any of the states below could move into any other state.

Enum:"NEW""PASSED""PASSED_WITH_REQUIREMENTS""WAITING_CUSTOMER_INPUT""PROCESSING"
Example:"WAITING_CUSTOMER_INPUT"
createdAtstring, (date-time)

Timestamp marking the creation of the KYC Review.

Example:"2024-09-03T16:22:02.257725"
updatedAtstring, (date-time)

Timestamp marking the last update of the KYC Review.

Example:"2024-09-03T16:29:41.147522"
requiredBystring or null, (date-time)

Timestamp by which the underlying requirement set needs to be verified to not block the customer. Only relevant if the status is PASSED_WITH_REQUIREMENTS.

Example:"2024-09-03T16:22:02.257725"
triggerReferencesArray of objects

List of trigger reference objects.

redirectUrlstring or null

URL where the user will be redirected at the end of the flow. Can contain query params and path fragments. It has to be a valid URL as per RFC 2396. Provided by the caller in the Update redirect URL call.

Example:"https://example.com"
requirementsArray of items or null

Nested list of KYC Requirement objects in [[Requirement]] format, where each inner list represents a combination of possible requirements to be provided. To fulfil the whole KYC Review, at least one item from each inner list should be provided.

For example, if the requirements are [[a, b], [c, d]] then it should be read as (a or b) and (c or d).

Response
{ "id": "46e1a5c4-4a9b-4563-39d3-18174d3ac0f8", "status": "WAITING_CUSTOMER_INPUT", "createdAt": "2024-09-03T16:22:02.257725", "updatedAt": "2024-09-03T16:29:41.147522", "requiredBy": "2024-09-03T16:22:02.257725", "triggerReferences": [ { "type": "QUOTE", "triggerData": {} } ], "redirectUrl": "https://example.com", "requirements": [ [ {} ] ] }